View Issue Details

IDProjectCategoryView StatusLast Update
0021433FPCCompilerpublic2012-03-19 20:32
ReporterAndrey Zubarev Assigned ToJonas Maebe  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionno change required 
Product Version2.7.1 
Summary0021433: Strange behavior Lazarus on the latest revisions FPC
DescriptionThere were errors apparently related to recent changes in FPC trunk. Unexpected crashes on previously working part of program. More information and an example to reproduce http://bugs.freepascal.org/view.php?id=21431
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget
Attached Files

Relationships

related to 0021431 closedPaul Ishenin Lazarus SIGSEGV when re-creating a form with TListView and TImageList 
related to 0021529 closedMichael Van Canneyt FPC Do not call Clear in TStringList.Destroy 

Activities

Marco van de Voort

2012-03-08 11:15

manager   ~0057389

This is a hollow shell. Please narrow it down, and make sure it is actually a FPC problem.

It might be as simple as memory allocation changing revealing hidden lazarus bugs.

Andrey Zubarev

2012-03-09 20:32

reporter   ~0057447

Get a smaller example of a problem I could not get. An error appears from the fpc r20265

Jonas Maebe

2012-03-09 21:49

manager   ~0057452

That means that there is probably a bug in your program. Before that revision, the objects added to a stringlist were not freed when destroying the stringlist even if the OwnsObjects property was true. After that revision, objects are properly freed in that case.

You or the LCL probably have code somewhere that adds objects to a stringlist with OwnsObjects=true that are also explicitly freed.

Issue History

Date Modified Username Field Change
2012-03-07 19:12 Andrey Zubarev New Issue
2012-03-08 11:15 Marco van de Voort Note Added: 0057389
2012-03-08 11:15 Marco van de Voort Status new => feedback
2012-03-08 16:13 Maxim Ganetsky Relationship added related to 0021431
2012-03-09 20:32 Andrey Zubarev Note Added: 0057447
2012-03-09 21:49 Jonas Maebe Status feedback => resolved
2012-03-09 21:49 Jonas Maebe Resolution open => no change required
2012-03-09 21:49 Jonas Maebe Assigned To => Jonas Maebe
2012-03-09 21:49 Jonas Maebe Note Added: 0057452
2012-03-19 20:32 Andrey Zubarev Status resolved => closed
2012-03-22 13:31 Jonas Maebe Relationship added related to 0021529